if exists (select * from sysobjects where id = object_id(N'[dbo].[applications]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[applications]
GO

if exists (select * from sysobjects where id = object_id(N'[dbo].[bookings]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[bookings]
GO

if exists (select * from sysobjects where id = object_id(N'[dbo].[currentUserNo]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[currentUserNo]
GO

if exists (select * from sysobjects where id = object_id(N'[dbo].[resources]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[resources]
GO

if exists (select * from sysobjects where id = object_id(N'[dbo].[resources_info]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[resources_info]
GO

if exists (select * from sysobjects where id = object_id(N'[dbo].[users]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[users]
GO

CREATE TABLE [dbo].[applications] (
	[url] [varchar] (255) NOT NULL ,
	[address] [varchar] (255) NULL ,
	[city] [varchar] (50) NULL ,
	[state] [char] (3) NULL ,
	[zip] [char] (10) NULL ,
	[country] [char] (2) NULL ,
	[region] [char] (10) NULL ,
	[latitude] [char] (12) NULL ,
	[longitude] [char] (12) NULL ,
	[time] [numeric](20, 0) NOT NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[bookings] (
	[id] [char] (10) NOT NULL ,
	[day] [numeric](20, 0) NOT NULL ,
	[hour] [smallint] NOT NULL ,
	[minute] [smallint] NOT NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[currentUserNo] (
	[number] [int] NOT NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[resources] (
	[id] [char] (10) NOT NULL ,
	[time] [numeric](20, 0) NOT NULL ,
	[h800] [smallint] NOT NULL ,
	[h830] [smallint] NOT NULL ,
	[h900] [smallint] NOT NULL ,
	[h930] [smallint] NOT NULL ,
	[h1000] [smallint] NOT NULL ,
	[h1030] [smallint] NOT NULL ,
	[h1100] [smallint] NOT NULL ,
	[h1130] [smallint] NOT NULL ,
	[h1200] [smallint] NOT NULL ,
	[h1230] [smallint] NOT NULL ,
	[h1300] [smallint] NOT NULL ,
	[h1330] [smallint] NOT NULL ,
	[h1400] [smallint] NOT NULL ,
	[h1430] [smallint] NOT NULL ,
	[h1500] [smallint] NOT NULL ,
	[h1530] [smallint] NOT NULL ,
	[h1600] [smallint] NOT NULL ,
	[h1630] [smallint] NOT NULL ,
	[h1700] [smallint] NOT NULL ,
	[h1730] [smallint] NOT NULL ,
	[h1800] [smallint] NOT NULL ,
	[h1830] [smallint] NOT NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[resources_info] (
	[id] [char] (10) NOT NULL ,
	[info] [varchar] (255) NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[users] (
	[id] [char] (10) NOT NULL ,
	[password] [char] (10) NOT NULL ,
	[type] [smallint] NOT NULL ,
	[name] [varchar] (50) NULL ,
	[mail] [varchar] (255) NULL ,
	[deltime] [numeric](20, 0) NOT NULL ,
	[address] [varchar] (255) NULL ,
	[city] [varchar] (50) NULL ,
	[state] [char] (3) NULL ,
	[zip] [char] (10) NULL ,
	[country] [char] (2) NULL ,
	[region] [char] (10) NULL ,
	[latitude] [char] (12) NULL ,
	[longitude] [char] (12) NULL 
) ON [PRIMARY]
GO

